### Struct

# PangoOT Glyph

since: 1.0

#### Description [src]

    struct PangoOTGlyph {
      guint32 glyph;
      guint properties;
      guint cluster;
      gushort component;
      gushort ligID;
      guint internal;
    }

The `PangoOTGlyph` structure represents a single glyph together with information used for OpenType layout processing of the glyph. It contains the following fields.

###### Structure members

`glyph`

  The glyph itself.

`properties`

  The properties value, identifying which features should be applied on this glyph. See pango_ot_ruleset_add_feature().

`cluster`

  The cluster that this glyph belongs to.

`component`

  A component value, set by the OpenType layout engine.

`ligID`

  A ligature index value, set by the OpenType layout engine.

`internal`

  For Pango internal use.

Available since: 1.0